// hacks
if MaxPlayers then return end

require("mount")
include("includes/additionalcontent.lua")

local PANEL = {}

function PANEL:Init()
	self:SetName( "Additional Depots To Mount" )
		
	for k, v in SortedPairs( GetAdditionalMountableContent() ) do
	
		local checkbox, label = self:CheckBox( v.title )
		
		function checkbox:OnChange( val )
			if val then
				MountOtherGame(v.path, v.depotid)
			end
		end
	
	end

end

function PANEL:PerformLayout()
	self:StretchToParent( 4, 25, 4, 4 )
	DForm.PerformLayout(self)
end

vgui.Register( "AdditionalDepots", PANEL, "DForm" )


local additionaldepots = vgui.Create("DFrame")
local depot = vgui.Create("AdditionalDepots", additionaldepots)

	additionaldepots:SetTitle("Additional Depots")
	additionaldepots:SetDeleteOnClose(false)
	additionaldepots:SetSize(340, 256)
	additionaldepots:SetVisible(false)


local cloud = vgui.Create("DImageButton")
	cloud:SetImage("cloud")
	cloud:SizeToContents()
	cloud:MakePopup()

cloud.PerformLayout = function()
	
		if ScrH() >= 768 then
			cloud:SetPos(40, ScrH() * 0.4)
		else
			cloud:SetPos(40, ScrH() * 0.25)
		end
end
	
cloud.DoClick = function()
	additionaldepots:SetVisible( true )
	additionaldepots:Center()
	additionaldepots:MakePopup()
end 